#
# spec file for package chemtool (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib-devel gtk-devel xdevel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib-devel glibc glibc-devel gpm gppshare grep groff gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel

Name:         chemtool
%define name0 cht
Summary:      Chemtool is a program for 2D drawing organic molecules
Version:      1.4.1
Release:      1
Copyright: GPL
Group:     Applications/Graphics
Source:    %{name}-%{version}.tar.bz2
URL:       http://www.uni-ulm.de/~s_tvolk/chemtool.html
BuildRoot: %{_tmppath}/%{name}-build

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using
the GTK widget set.

Authors:
--------
    Thomas Volk 
    Dr. Martin Kroeker

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/X11R6/{bin,man/man1,doc/%{name}-%{version},share/%{name}-%{version}/examples}
install -d $RPM_BUILD_ROOT/usr/share/locale/cs/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/locale/ru/LC_MESSAGES
install -s -m 755 %{name} $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
install -s -m 755 src-cht/%{name0} $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
install -m 644 examples/* $RPM_BUILD_ROOT/%{_prefix}/X11R6/share/%{name}-%{version}/examples
install -m 644 {TODO,README,ChangeLog}  $RPM_BUILD_ROOT/%{_prefix}/X11R6/doc/%{name}-%{version}
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_prefix}/X11R6/man/man1/
install -m 644 %{name0}.1 $RPM_BUILD_ROOT/%{_prefix}/X11R6/man/man1/
install -m 644 locales/cs/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/cs/LC_MESSAGES
install -m 644 locales/de/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
install -m 644 locales/fr/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES
install -m 644 locales/pl/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES
install -m 644 locales/ru/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/ru/LC_MESSAGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/%{name}
%{_prefix}/X11R6/bin/%{name0}
%doc %{_prefix}/X11R6/doc/%{name}-%{version}
%doc %{_prefix}/X11R6/man/man1/%{name}.1*
%doc %{_prefix}/X11R6/man/man1/%{name0}.1*
%{_prefix}/X11R6/share/%{name}-%{version}
%{_prefix}/share/locale/cs/LC_MESSAGES/chemtool.mo
%{_prefix}/share/locale/de/LC_MESSAGES/chemtool.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/chemtool.mo
%{_prefix}/share/locale/pl/LC_MESSAGES/chemtool.mo
%{_prefix}/share/locale/ru/LC_MESSAGES/chemtool.mo

%changelog -n chemtool
* Fri Oct 26 2001 - tcrhak@suse.cz
- New package: initial version 1.4.1
